//+------------------------------------------------------------------+
//|                                           test_event_trigger.mq5 |
//|                        Copyright 2019, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2019, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property indicator_chart_window
string indName;
static int counter=0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {
//--- indicator buffers mapping
   string tfs=EnumToString(_Period);
   indName=MQLInfoString(MQL_PROGRAM_NAME)+" "+tfs;
   Comment(indName);
   Print(indName,":"__FUNCTION__);
//---
   return(INIT_SUCCEEDED);
  }
void OnDeinit(const int reason) {  Comment("");  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
   Print("indName=",indName,"  counter=",++counter,"  prev_calc=",prev_calculated);
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
